Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(241)

Unified Diff: tools/valgrind/build-valgrind-for-chromium.sh

Issue 155848: Script to build valgrind for chromium (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src/
Patch Set: Created 11 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tools/valgrind/build-valgrind-for-chromium.sh
===================================================================
--- tools/valgrind/build-valgrind-for-chromium.sh (revision 0)
+++ tools/valgrind/build-valgrind-for-chromium.sh (revision 0)
@@ -0,0 +1,34 @@
+#!/bin/sh
+set -x
+set -e
+
+# Check out latest version that following patches known to apply against
+rm -rf valgrind-20090715
+svn co -r '{2009-07-15}' svn://svn.valgrind.org/valgrind/trunk valgrind-20090715
+
+cd valgrind-20090715
+
+# Just in case, make sure svn gets the right version of the external VEX repo, too
+cd VEX
+svn update -r '{2009-07-15}'
+cd ..
+
+# Work around bug https://bugs.kde.org/show_bug.cgi?id=162848
+# fork() not handled properly
+wget "https://bugs.kde.org/attachment.cgi?id=35150"
stuartmorgan 2009/07/21 16:27:19 wget isn't available on OS X (unless separately in
+patch -p0 < "attachment.cgi?id=35150"
+
+# Work around bug https://bugs.kde.org/show_bug.cgi?id=186796
+# long suppressions truncated
+wget "https://bugs.kde.org/attachment.cgi?id=35174"
+patch -p0 < "attachment.cgi?id=35174"
+
+sh autogen.sh
+./configure --prefix=/usr/local/valgrind-20090715
+make
+sudo make install
+cd /usr
+test -f bin/valgrind && sudo mv bin/valgrind bin/valgrind.orig
+sudo ln -sf /usr/local/valgrind-20090715/bin/valgrind bin
+test -d include/valgrind && sudo mv include/valgrind include/valgrind.orig
+sudo ln -sf /usr/local/valgrind-20090715/include/valgrind include
Property changes on: tools/valgrind/build-valgrind-for-chromium.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: svn:eol-style
+ LF
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698